summaryrefslogtreecommitdiffstats
path: root/forceflash
diff options
context:
space:
mode:
Diffstat (limited to 'forceflash')
-rwxr-xr-xforceflash54
1 files changed, 54 insertions, 0 deletions
diff --git a/forceflash b/forceflash
new file mode 100755
index 0000000..64d4d68
--- /dev/null
+++ b/forceflash
@@ -0,0 +1,54 @@
+#!/bin/bash
+
+# forceflash script - be very careful when using this, because it can flash
+# the wrong ROM image on the wrong machine if you tell it to. YOU HAVE BEEN WARNED.
+# This script is for re-flashing a new image for the same machine when the board name was changed
+#
+# Copyright (C) 2014, 2015 Francis Rowe <info@gluglug.org.uk>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+## Don't add here. errors are expected.
+# set -u -e -v
+set -v
+
+if [[ $EUID -ne 0 ]]; then
+ echo "This script must be run as root"
+ exit 1
+fi
+if (( $# != 1 )); then
+ echo "Usage: ./forceflash yourrom.rom"
+ echo "usage: ./forceflash path/to/yourrom.rom"
+ echo "You need to specify exactly 1 file"
+ exit 1
+fi
+if [ ! -f $1 ]; then
+ echo "File not found!"
+ exit 1
+fi
+
+path="unknown"
+if [ -f "DEBLOB" ]; then
+ path="./flashrom/flashrom"
+elif [ $(uname -i) = "i686" ] || [ $(uname -m) = "i686" ]; then
+ path="./flashrom/i686/flashrom"
+elif [ $(uname -i) = "x86_64" ] || [ $(uname -m) = "x86_64" ]; then
+ path="./flashrom/x86_64/flashrom"
+else
+ echo "This script must be run on an i686 or x86_64 host. x86_64 is recommended."
+ exit 1
+fi
+
+$(echo $path) -p internal:boardmismatch=force -w $1